Package org.apache.sling.repoinit.parser.operations

# Class ServiceUserOperation

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.ServiceUserOperation

Direct Known Subclasses:
  `CreateServiceUser`, `DeleteServiceUser`, `DisableServiceUser`

@ProviderType public abstract class ServiceUserOperation extends Operation

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`username`

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getParametersDescription()`
`String`
`getPath()`
`String`
`getUsername()`
`boolean`
`isForcedPath()`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`accept, asRepoInitString, cleanupQuotedString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### username

protected final String username

## Method Details

### getParametersDescription

protected String getParametersDescription()

Specified by:
  `getParametersDescription` in class `Operation`

### getUsername

public String getUsername()

### getPath

public String getPath()

### isForcedPath

public boolean isForcedPath()